#!/bin/sh

# Script to remove Maemo 5 root FS from /home (/dev/mmcblk0p2) partition
# Author: Leonid Yegoshin

if ! grep -q 'ubi0:rootfs / ubifs' /proc/mounts; then
    echo 'Please run this scipt on original Maemo 5 with 256MB root file system.'
    exit 1
fi

product=`osso-product-info -qOSSO_PRODUCT_RELEASE_VERSION`
prod=`echo $product | sed 's/-1.*$//' -`

if [ "x$prod" != "x20.2010.36" ]; then
    echo 'Please run this scipt on original Maemo 5 PR1.2 (20.2010.36-2)'
    exit 1
fi

# start work.

# remove old Maemo5 from /home first

echo "Remove old Maemo5 root files from /home..."

(cd /home/emmcroot; rm -fr bin boot cdrom dev etc floppy initrd lib proc \
           root sbin srv sys syspart usr var mnt tmp media home)

# restore bootmenu and preinit

if [ -f /sbin/preinit.M32GBPR12-orig ]; then

    echo "Restore /bootmenu.sh and /sbin/preinit..."

    mv /sbin/preinit.M32GBPR12-orig /sbin/preinit
    if [ -f /bootmenu.sh.M32GBPR12-orig ]; then
        mv /bootmenu.sh.M32GBPR12-orig /bootmenu.sh
    else
        rm /bootmenu.sh
    fi
fi

echo "Done."

